# $Revision: 1.118 $, $Date: 2008/01/24 01:36:31 $
#
# Conditional build:
#
%bcond_without	static_libs	# don't build static library
#
Summary:	Useful routines for 'C' programming
Summary(cs.UTF-8):	Šikovná knihovna s funkcemi pro pomocné programy
Summary(da.UTF-8):	Nyttige biblioteksfunktioner
Summary(de.UTF-8):	Eine nützliche Library von Dienstprogramm-Funktionen
Summary(fi.UTF-8):	Kirjasto, jossa on työkalufunktioita
Summary(fr.UTF-8):	Bibliothèque de fonctions utilitaires
Summary(pl.UTF-8):	Biblioteka zawierająca wiele użytecznych funkcji C
Summary(tr.UTF-8):	Yararlı ufak yordamlar kitaplığı
Name:		glib
Version:	1.2.10
Release:	16
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v1.2/%{name}-%{version}.tar.gz
#Source0-md5:	6fe30dad87c77b91b632def29dd69ef9
Source1:	http://developer.gnome.org/doc/API/%{name}-docs.tar.gz
#Source1-md5:	cae06bf952176ab008100b7b954242f8
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac25.patch
Patch2:		%{name}-am18.patch
Patch3:		%{name}-link.patch
Patch4:		%{name}-gcc34.patch
Patch5:		%{name}-slist_remove.patch
URL:		http://www.gtk.org/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake >= 1.4
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	texinfo
Obsoletes:	libglib1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing

%description
GLib, is a library which includes support routines for C such as
lists, trees, hashes, memory allocation, and many other things. GLIB
includes also generally useful data structures used by GIMP and many
other.

%description -l cs.UTF-8
Šikovná knihovna s funkcemi pro pomocné programy. Vývojové knihovny a
hlavičky jsou v balíčku glib-devel.

%description -l da.UTF-8
Nyttigt bibliotek med forskellige funktioner. Udviklings- biblioteker
og headerfiler er i glib-devel pakken.

%description -l de.UTF-8
Eine nützliche Library von Dienstprogramm-Funktionen.
Entwicklungs-Libraries und Header befinden sich in glib-devel.

%description -l fi.UTF-8
Kirjasto, jossa on työkalufunktioita. Kehitysversiot ja
header-tiedostot ovat glib-devel-paketissa.

%description -l pl.UTF-8
Glib jest zestawem bibliotek zawierających funkcje do obsługi list,
drzewek, funkcji mieszających, funkcji do alokacji pamięci i wielu
innych podstawowych funkcji i różnych struktur danych używanych przez
program GIMP i wiele innych.

%description -l tr.UTF-8
Yararlı yordamlar kitaplığı. Geliştirme kitaplıkları ve başlık
dosyaları glib-devel paketinde yer almaktadır.

%package devel
Summary:	Glib heades files, documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do glib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	libglib1.2-devel

%description devel
Header files for the support library for the GIMP's X libraries, which
are available as public libraries. GLIB includes generally useful data
structures.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do glib przydatna przy pisaniu
programów wykorzystujących tę bibliotekę.

%package static
Summary:	Static glib libraries
Summary(pl.UTF-8):	Biblioteki statyczne do glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static glib libraries.

%description static -l pl.UTF-8
Biblioteki statyczne do glib.

%prep
%setup -q -a1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-debug=%{?debug:yes}%{!?debug:minimum} \
	--enable-threads \
	%{!?with_static_libs:--disable-static}

%{__make} -j1 all check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libg*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc glib/*.html
%attr(755,root,root) %{_bindir}/glib-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/glib
%{_includedir}/*
%{_pkgconfigdir}/*
%{_aclocaldir}/*
%{_infodir}/glib.info*
%{_mandir}/man1/glib-config.1*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glib.spec,v $
Revision 1.118  2008/01/24 01:36:31  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.117  2007-12-17 19:12:52  glen
- rel 16 (15 for ac)

Revision 1.116  2007-11-02 10:40:50  glen
- rel 15

Revision 1.115  2007/11/02 10:32:05  glen
- make -j1
- check-files cleanup

Revision 1.114  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.113  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.112  2006/12/23 11:37:14  pluto
- release 14, rebuild with P: *.la.

Revision 1.111  2006/09/15 19:13:24  glen
- don't assume man compression

Revision 1.110  2006/05/02 20:19:16  pluto
- fix g_slist_remove(), release 13.

Revision 1.109  2006/01/23 19:06:04  pluto
- pass -fno-strict-aliasing for this ugly code.
- run testsuite, release 12.

Revision 1.108  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.107  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.106  2005/06/14 19:33:48  witekfl
- renamed static_libs -> static

Revision 1.105  2005/06/14 16:09:58  witekfl
- added bcond_without static_libs

Revision 1.104  2005/05/03 19:45:46  pluto
- release 11 for Th.

Revision 1.103  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.102  2004/08/31 09:00:57  snurf
- typos / formatting / etc.

Revision 1.101  2004/03/01 12:25:56  pluto
- gcc 3.4 fixes.
- strict deps.

Revision 1.100  2003/12/13 21:11:54  qboosh
- added am18 patch (glib.m4 quotation fix)
- added link patch (libgmodule and libgthread linking)
- removed unneeded ac/am/lt deps from -devel, added versions to BR
- release 10

Revision 1.99  2003/11/01 22:25:18  gotar
- debug ready

Revision 1.98  2003/10/31 18:02:28  qboosh
- removed default _prefix definition, cosmetics

Revision 1.97  2003/08/30 17:21:36  mmazur
- rel 9 for ac

Revision 1.96  2003/07/20 16:59:14  areq
- Release: 8, rebuild

Revision 1.95  2003/06/23 18:04:44  jareq
- fixed epoch:version issue

Revision 1.94  2003/05/25 11:11:21  malekith
- revert massive fsckup

Revision 1.93  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.92  2003/05/25 05:47:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.91  2003/05/25 02:08:38  adgor
- Sources md5

Revision 1.90  2003/01/03 15:16:01  juandon
- fixed buil in Ac environment
- Release 7

Revision 1.89  2002/11/25 14:13:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.88  2002/10/07 11:38:30  qboosh
- BR: autoconf,automake,libtool

Revision 1.87  2002/06/19 13:14:35  trojan
- added patch for autoconf 2.53
- added regenaration ac/am/lt scripts
- s/configure2_13/configure

Revision 1.86  2002/05/24 13:35:24  trojan
- new %doc packing infrastructure

Revision 1.85  2002/04/25 16:24:54  arturs
- fixed a small typo

Revision 1.84  2002/02/23 02:17:44  kloczek
- adapterized.

Revision 1.83  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/02/07 20:36:18  filon
- force updating config.{sub,guess) (needed for athlon build)
- release 6

Revision 1.81  2002/02/02 20:14:30  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.80  2002/02/01 00:35:21  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.79  2002/01/18 02:13:05  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.78  2002/01/02 15:45:08  kloczek
- release 5: added libglib1.2{,-devel} to Obsoletes for allow update from MDK.

Revision 1.77  2001/09/21 13:19:16  misiek
- include real documentation

Revision 1.76  2001/08/08 22:32:28  agaran
- s/configure/configure2_13/
- im not able to fix that. and regenerating ac stuff causes fail in libtool
- could somebody with better ac/am knowledge check how to fix that?

Revision 1.75  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.73  2001/06/16 13:32:22  kloczek
- bump release to 3.

Revision 1.72  2001/04/13 06:17:11  kloczek
- release 2.

Revision 1.71  2001/04/11 23:15:17  qboosh
- use %_pkgconfigdir macro
- typo

Revision 1.70  2001/04/02 10:25:54  kloczek
- updated to 1.2.10.

Revision 1.69  2001/03/18 20:50:49  kloczek
- bump release to 2.

Revision 1.68  2001/03/03 12:06:20  kloczek
- removed gccwarn patch,
- added lib*.la and pkgconfig files to devel.

Revision 1.67  2001/03/03 11:41:22  misiek
- 1.2.9; stb

Revision 1.66  2000/11/25 02:54:39  kloczek
- added "Epoch: 1" for allow upgrade from RH version.

Revision 1.65  2000/11/25 02:47:10  kloczek
- release 6: merge rawhide gccwarn patch.

Revision 1.64  2000/09/30 19:57:42  kloczek
- release 5: use rpm new automation suit.

Revision 1.63  2000/08/31 05:57:36  kloczek
- back 1.2.8 on HEAD,
- release 4.

Revision 1.62  2000/08/28 15:12:47  klakier
- changes for version 1.3

Revision 1.61  2000/06/21 16:43:10  kloczek
- release 2.

Revision 1.60  2000/06/09 07:54:41  kloczek
- more %{__make} macros.

Revision 1.59  2000/06/09 07:22:51  kloczek
- added using %{__make} macro.

Revision 1.58  2000/05/25 17:07:56  kloczek
- updated to 1.2.8.

Revision 1.57  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.56  2000/05/18 23:33:05  kloczek
- release 4,
- spec adapterized,
- added using %{_aclocaldir} macro.

Revision 1.55  2000/05/15 00:13:29  kloczek
- release 3.

Revision 1.54  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.53  2000/04/01 11:14:31  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.52  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.51  2000/02/16 23:55:22  kloczek
- updated to 1.2.7 (rel 2).

Revision 1.50  1999/12/30 20:11:04  kloczek
- release 3 (in RH 6.1 is 2).

Revision 1.49  1999/12/18 16:05:31  cieciwa
- moveing back glibconfig.h to /usr/lib/glib/include.

Revision 1.48  1999/12/17 15:02:20  cieciwa
- fixes %files field.

Revision 1.47  1999/12/17 14:56:23  cieciwa
- release 2,
- moved config file from /usr/lib/glib/include to /usr/include.

Revision 1.46  1999/10/12 18:00:48  kloczek
- updated to 1.2.6.

Revision 1.45  1999/09/24 23:11:48  kloczek
- updated Source url.

Revision 1.44  1999/09/24 23:09:39  kloczek
- updated to 1.2.5.

Revision 1.43  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.42  1999/09/19 09:47:49  pius
- new {un}registering procedure for info pages using /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.41  1999/09/08 23:21:44  kloczek
- simplifications in %build.

Revision 1.40  1999/08/29 20:20:25  kloczek
- added cs, da, de, fi, fr, tr translations from MandrakeLinux spec file.

Revision 1.39  1999/08/29 14:33:54  kloczek
- updated to 1.2.4.

Revision 1.38  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).
